//
//  MiniDBAppDelegate.h
//  MiniDB
//


#import <Cocoa/Cocoa.h>

@interface MiniDBAppDelegate : 
NSObject <NSApplicationDelegate> 
{
    NSWindow *window;
    NSWindow *sheetFenster;
    
    NSButton *buttonVorherige;
    NSButton *buttonNaechste;
    NSMenuItem *menuNeu;
    NSMenuItem *buttonSpeichern;
    NSMenuItem *buttonAbbrechen;
    NSTextField *nameEingabe;
    NSTextField *vornameEingabe;
    NSTextField *alterEingabe;
    NSButton *buttonLetzte;
    NSButton *buttonErste;
    NSTextField *name;
    NSTextField *vorname;
    NSTextField *alter;
    int indexPosition;
    NSButton *klickAbbrechen;
}

@property (assign) IBOutlet NSTextField *name;
@property (assign) IBOutlet NSTextField *vorname;
@property (assign) IBOutlet NSTextField *alter;
@property (assign) IBOutlet NSWindow *window;
@property (assign) IBOutlet NSWindow *sheetFenster;

@property (assign) IBOutlet NSButton *buttonVorherige;
@property (assign) IBOutlet NSButton *buttonNaechste;
@property (assign) IBOutlet NSButton *buttonLetzte;
@property (assign) IBOutlet NSButton *buttonErste;

@property (assign) IBOutlet NSMenuItem *menuNeu;
@property (assign) IBOutlet NSTextField *nameEingabe;
@property (assign) IBOutlet NSTextField *vornameEingabe;
@property (assign) IBOutlet NSTextField *alterEingabe;

- (IBAction)dateiLaden:(id)sender;
- (IBAction)dateiSpeichern:(id)sender;

- (IBAction)klickVorherige:(id)sender;
- (IBAction)klickNaechste:(id)sender;
- (IBAction)klickErste:(id)sender;
- (IBAction)klickLetzte:(id)sender;
- (IBAction)klickNeu:(id)sender;

- (void)zeigePerson:(int)index;
- (void)pruefeButton;
- (void)zeigeBadge;

// Action für das Sheet-Fenster
- (IBAction)sheetAbbrechenKlick:(id)sender;
- (IBAction)sheetUebernehmenKlick:(id)sender;

@end
